IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[a_sel_cantidadComentarios]') AND type in (N'P', N'PC'))
BEGIN
DROP PROCEDURE [dbo].[a_sel_cantidadComentarios]
end
GO
CREATE PROCEDURE [dbo].[a_sel_cantidadComentarios]
 @p_id int
AS BEGIN
declare @id_usuario int = @p_id
--Crear Tabla
DECLARE @MyTableVar table(
    cantidad int NOT NULL);
--RECORDATORIOS VENCIDOS
insert into @MyTableVar
exec('select count(id) as cantidad from doc_documentoComentario where active = 1 and id_usuario = (' +@id_usuario+ ')  and cerrada = 0 and fechaRecordar_fh < GETDATE()')
--RECORDATORIOS TOTALES
insert into @MyTableVar
exec('select count(id) as cantidad from doc_documentoComentario where active = 1 and id_usuario = (' +@id_usuario+ ')  and cerrada = 0')
--MIS PREGUNTAS SIN RESPUESTAS VENCIDAS
insert into @MyTableVar
exec('select count(id) as cantidad from doc_documentoComentario where active = 1 and id_usuarioOriginal = (' +@id_usuario+ ') and cerrada = 0 and id_usuario <> (' +@id_usuario+ ') and id_usuario > 0 and fechaRecordar_fh < GETDATE() ')
--MIS PREGUNTAS SIN RESPUESTAS
insert into @MyTableVar
exec('select count(id) as cantidad from doc_documentoComentario where active = 1 and id_usuarioOriginal = (' +@id_usuario+ ') and cerrada = 0 and id_usuario <> (' +@id_usuario+ ') and id_usuario > 0')
select * from @MyTableVar
end 